gr::cdma::vector_insert2 Class Reference

Insert a specified (complex) vector periodically in the (complex) input stream. More...

`#include <vector_insert2.h>`

Inheritance diagram for gr::cdma::vector_insert2:
[legend]

## Public Types

typedef boost::shared_ptr< vector_insert2 > | sptr

## Static Public Member Functions

static sptr | make (const std::vector< gr_complex > data, int periodicity, int offset)
| Return a shared_ptr to a new instance of cdma::vector_insert2. More...

## Detailed Description

Insert a specified (complex) vector periodically in the (complex) input stream.

For example, with data=(x,y), periodicity=3, and offset=1, the input and output streams will look like
input: abcdefghijk...
output: axybcdxyefgxyhijxyk...

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<vector_insert2> gr::cdma::vector_insert2::sptr

## Member Function Documentation

## make()

static sptr gr::cdma::vector_insert2::make | ( | const std::vector< gr_complex > | data,
|  | int | periodicity,
|  | int | offset
| ) |  |

static

Return a shared_ptr to a new instance of cdma::vector_insert2.

To avoid accidental use of raw pointers, cdma::vector_insert2's constructor is in a private implementation class. cdma::vector_insert2::make is the public interface for creating new instances.

Parameters

  data | the vector to be inserted
  periodicity | the period of the input stream.
  offset | the offset within the input stream that the vector will be inserted. Takes values in {0,...,`periodicity}`

The documentation for this class was generated from the following file:

- vector_insert2.h